Upgrade OpenLayers?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrade OpenLayers?

Ian Turton
I need to make use of reprojection in the Map viewer in geonetwork, now it
seems OpenLayers has supported this for a couple of years now but it seems
not to be present in the GN version. So I'm trying to upgrade the ngeo libs
<https://github.com/camptocamp/ngeo>which would be cool if master built,
but anyway I got 2.1.x to build and thought I could just drop that into the
the GN directory structure but no, it fails with a missing angular
dependency on  ui.date (or possibly something else entirely). So then I
rebuilt the GN war incase there was some magic baked in during packaging
but no it still fails.

So does anyone know how to update the version of openlayers in a GN
install? It doesn't even have to be a very recent one, latish 3.x would do

Cheers

Ian

--
Ian Turton
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade OpenLayers?

Florent gravin-2
Hi,

Actually the ngeo build cannot provide a correct dist build version, it
won't work.
We are stuck about this for the moment, i'm planning to discuss about that
at the code sprint next week.

I think what i could do for now is to provide a more recent version of ngeo
that contains the reprojection, but it won't be the last one as it has not
been buildable for geonetwork for at least 6 months.

What you can try:
put your ngeo branch at a commit from one year ago.
in the package.json, make sure to use the version of ol3 that was released
at the same date, and build ngeo.js and ngeo-debug.js ...




On Wed, Jun 7, 2017 at 3:47 PM, Ian Turton <[hidden email]> wrote:

> I need to make use of reprojection in the Map viewer in geonetwork, now it
> seems OpenLayers has supported this for a couple of years now but it seems
> not to be present in the GN version. So I'm trying to upgrade the ngeo libs
> <https://github.com/camptocamp/ngeo>which would be cool if master built,
> but anyway I got 2.1.x to build and thought I could just drop that into the
> the GN directory structure but no, it fails with a missing angular
> dependency on  ui.date (or possibly something else entirely). So then I
> rebuilt the GN war incase there was some magic baked in during packaging
> but no it still fails.
>
> So does anyone know how to update the version of openlayers in a GN
> install? It doesn't even have to be a very recent one, latish 3.x would do
>
> Cheers
>
> Ian
>
> --
> Ian Turton
> ------------------------------------------------------------
> ------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> GeoNetwork-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/geonetwork-users
> GeoNetwork OpenSource is maintained at http://sourceforge.net/
> projects/geonetwork
>



--
*camptocamp*
INNOVATIVE SOLUTIONS
BY OPEN SOURCE EXPERTS

*Florent Gravin*
0479444492
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade OpenLayers?

Florent gravin-2
Also ...
if you have activated the 3D viewwith Cesium, then the ol version is more
recent and has the client reprojection.

On Wed, Jun 7, 2017 at 3:56 PM, Florent Gravin <
[hidden email]> wrote:

> Hi,
>
> Actually the ngeo build cannot provide a correct dist build version, it
> won't work.
> We are stuck about this for the moment, i'm planning to discuss about that
> at the code sprint next week.
>
> I think what i could do for now is to provide a more recent version of
> ngeo that contains the reprojection, but it won't be the last one as it has
> not been buildable for geonetwork for at least 6 months.
>
> What you can try:
> put your ngeo branch at a commit from one year ago.
> in the package.json, make sure to use the version of ol3 that was released
> at the same date, and build ngeo.js and ngeo-debug.js ...
>
>
>
>
> On Wed, Jun 7, 2017 at 3:47 PM, Ian Turton <[hidden email]> wrote:
>
>> I need to make use of reprojection in the Map viewer in geonetwork, now it
>> seems OpenLayers has supported this for a couple of years now but it seems
>> not to be present in the GN version. So I'm trying to upgrade the ngeo
>> libs
>> <https://github.com/camptocamp/ngeo>which would be cool if master built,
>> but anyway I got 2.1.x to build and thought I could just drop that into
>> the
>> the GN directory structure but no, it fails with a missing angular
>> dependency on  ui.date (or possibly something else entirely). So then I
>> rebuilt the GN war incase there was some magic baked in during packaging
>> but no it still fails.
>>
>> So does anyone know how to update the version of openlayers in a GN
>> install? It doesn't even have to be a very recent one, latish 3.x would do
>>
>> Cheers
>>
>> Ian
>>
>> --
>> Ian Turton
>> ------------------------------------------------------------
>> ------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> _______________________________________________
>> GeoNetwork-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/geonetwork-users
>> GeoNetwork OpenSource is maintained at http://sourceforge.net/project
>> s/geonetwork
>>
>
>
>
> --
> *camptocamp*
> INNOVATIVE SOLUTIONS
> BY OPEN SOURCE EXPERTS
>
> *Florent Gravin*
> 0479444492
>



--
*camptocamp*
INNOVATIVE SOLUTIONS
BY OPEN SOURCE EXPERTS

*Florent Gravin*
0479444492
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade OpenLayers?

Ian Turton
On 14 June 2017 at 15:07, Florent Gravin <[hidden email]>
wrote:

> Also ...
> if you have activated the 3D viewwith Cesium, then the ol version is more
> recent and has the client reprojection.
>

Is that just in the 3D viewer or in general?

Also did upgrading OL make it to the sprint list of tasks this week?

Cheers

Ian


> On Wed, Jun 7, 2017 at 3:56 PM, Florent Gravin <
> [hidden email]> wrote:
>
>> Hi,
>>
>> Actually the ngeo build cannot provide a correct dist build version, it
>> won't work.
>> We are stuck about this for the moment, i'm planning to discuss about
>> that at the code sprint next week.
>>
>> I think what i could do for now is to provide a more recent version of
>> ngeo that contains the reprojection, but it won't be the last one as it has
>> not been buildable for geonetwork for at least 6 months.
>>
>> What you can try:
>> put your ngeo branch at a commit from one year ago.
>> in the package.json, make sure to use the version of ol3 that was
>> released at the same date, and build ngeo.js and ngeo-debug.js ...
>>
>>
>>
>>
>> On Wed, Jun 7, 2017 at 3:47 PM, Ian Turton <[hidden email]> wrote:
>>
>>> I need to make use of reprojection in the Map viewer in geonetwork, now
>>> it
>>> seems OpenLayers has supported this for a couple of years now but it
>>> seems
>>> not to be present in the GN version. So I'm trying to upgrade the ngeo
>>> libs
>>> <https://github.com/camptocamp/ngeo>which would be cool if master built,
>>> but anyway I got 2.1.x to build and thought I could just drop that into
>>> the
>>> the GN directory structure but no, it fails with a missing angular
>>> dependency on  ui.date (or possibly something else entirely). So then I
>>> rebuilt the GN war incase there was some magic baked in during packaging
>>> but no it still fails.
>>>
>>> So does anyone know how to update the version of openlayers in a GN
>>> install? It doesn't even have to be a very recent one, latish 3.x would
>>> do
>>>
>>> Cheers
>>>
>>> Ian
>>>
>>> --
>>> Ian Turton
>>> ------------------------------------------------------------
>>> ------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> GeoNetwork-users mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/geonetwork-users
>>> GeoNetwork OpenSource is maintained at http://sourceforge.net/project
>>> s/geonetwork
>>>
>>
>>
>>
>> --
>> *camptocamp*
>> INNOVATIVE SOLUTIONS
>> BY OPEN SOURCE EXPERTS
>>
>> *Florent Gravin*
>> 0479444492
>>
>
>
>
> --
> *camptocamp*
> INNOVATIVE SOLUTIONS
> BY OPEN SOURCE EXPERTS
>
> *Florent Gravin*
> 0479444492
>



--
Ian Turton
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade OpenLayers?

Florent gravin-2
>
> Is that just in the 3D viewer or in general?
>

If 3D is activated, then the js file is ol3 + ngeo + ol-cesium + cesium
The embeded ol3 supports reprojection when you navigate in 2D.

Also did upgrading OL make it to the sprint list of tasks this week?
>

Unfortunatly not but i will try to put one more recent version that i have
somewhere (but not last version of ol for the reasons i mentionned earlier).



Cheers



> Cheers
> Ian
>
>
>> On Wed, Jun 7, 2017 at 3:56 PM, Florent Gravin <
>> [hidden email]> wrote:
>>
>>> Hi,
>>>
>>> Actually the ngeo build cannot provide a correct dist build version, it
>>> won't work.
>>> We are stuck about this for the moment, i'm planning to discuss about
>>> that at the code sprint next week.
>>>
>>> I think what i could do for now is to provide a more recent version of
>>> ngeo that contains the reprojection, but it won't be the last one as it has
>>> not been buildable for geonetwork for at least 6 months.
>>>
>>> What you can try:
>>> put your ngeo branch at a commit from one year ago.
>>> in the package.json, make sure to use the version of ol3 that was
>>> released at the same date, and build ngeo.js and ngeo-debug.js ...
>>>
>>>
>>>
>>>
>>> On Wed, Jun 7, 2017 at 3:47 PM, Ian Turton <[hidden email]> wrote:
>>>
>>>> I need to make use of reprojection in the Map viewer in geonetwork, now
>>>> it
>>>> seems OpenLayers has supported this for a couple of years now but it
>>>> seems
>>>> not to be present in the GN version. So I'm trying to upgrade the ngeo
>>>> libs
>>>> <https://github.com/camptocamp/ngeo>which would be cool if master
>>>> built,
>>>> but anyway I got 2.1.x to build and thought I could just drop that into
>>>> the
>>>> the GN directory structure but no, it fails with a missing angular
>>>> dependency on  ui.date (or possibly something else entirely). So then I
>>>> rebuilt the GN war incase there was some magic baked in during packaging
>>>> but no it still fails.
>>>>
>>>> So does anyone know how to update the version of openlayers in a GN
>>>> install? It doesn't even have to be a very recent one, latish 3.x would
>>>> do
>>>>
>>>> Cheers
>>>>
>>>> Ian
>>>>
>>>> --
>>>> Ian Turton
>>>> ------------------------------------------------------------
>>>> ------------------
>>>> Check out the vibrant tech community on one of the world's most
>>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>>> _______________________________________________
>>>> GeoNetwork-users mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/geonetwork-users
>>>> GeoNetwork OpenSource is maintained at http://sourceforge.net/project
>>>> s/geonetwork
>>>>
>>>
>>>
>>>
>>> --
>>> *camptocamp*
>>> INNOVATIVE SOLUTIONS
>>> BY OPEN SOURCE EXPERTS
>>>
>>> *Florent Gravin*
>>> 0479444492
>>>
>>
>>
>>
>> --
>> *camptocamp*
>> INNOVATIVE SOLUTIONS
>> BY OPEN SOURCE EXPERTS
>>
>> *Florent Gravin*
>> 0479444492
>>
>
>
>
> --
> Ian Turton
>



--
*camptocamp*
INNOVATIVE SOLUTIONS
BY OPEN SOURCE EXPERTS

*Florent Gravin*
0479444492
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade OpenLayers?

Florent gravin-2
Hi,

In https://github.com/geonetwork/core-geonetwork/tree/ngeo there is a new
version of ngeo from october 2016.
Will test it a bit and merge soon in develop.



On Thu, Jun 15, 2017 at 11:32 AM, Florent Gravin <
[hidden email]> wrote:

> Is that just in the 3D viewer or in general?
>>
>
> If 3D is activated, then the js file is ol3 + ngeo + ol-cesium + cesium
> The embeded ol3 supports reprojection when you navigate in 2D.
>
> Also did upgrading OL make it to the sprint list of tasks this week?
>>
>
> Unfortunatly not but i will try to put one more recent version that i have
> somewhere (but not last version of ol for the reasons i mentionned earlier).
>
>
>
> Cheers
>
>
>
>> Cheers
>> Ian
>>
>>
>>> On Wed, Jun 7, 2017 at 3:56 PM, Florent Gravin <
>>> [hidden email]> wrote:
>>>
>>>> Hi,
>>>>
>>>> Actually the ngeo build cannot provide a correct dist build version, it
>>>> won't work.
>>>> We are stuck about this for the moment, i'm planning to discuss about
>>>> that at the code sprint next week.
>>>>
>>>> I think what i could do for now is to provide a more recent version of
>>>> ngeo that contains the reprojection, but it won't be the last one as it has
>>>> not been buildable for geonetwork for at least 6 months.
>>>>
>>>> What you can try:
>>>> put your ngeo branch at a commit from one year ago.
>>>> in the package.json, make sure to use the version of ol3 that was
>>>> released at the same date, and build ngeo.js and ngeo-debug.js ...
>>>>
>>>>
>>>>
>>>>
>>>> On Wed, Jun 7, 2017 at 3:47 PM, Ian Turton <[hidden email]> wrote:
>>>>
>>>>> I need to make use of reprojection in the Map viewer in geonetwork,
>>>>> now it
>>>>> seems OpenLayers has supported this for a couple of years now but it
>>>>> seems
>>>>> not to be present in the GN version. So I'm trying to upgrade the ngeo
>>>>> libs
>>>>> <https://github.com/camptocamp/ngeo>which would be cool if master
>>>>> built,
>>>>> but anyway I got 2.1.x to build and thought I could just drop that
>>>>> into the
>>>>> the GN directory structure but no, it fails with a missing angular
>>>>> dependency on  ui.date (or possibly something else entirely). So then I
>>>>> rebuilt the GN war incase there was some magic baked in during
>>>>> packaging
>>>>> but no it still fails.
>>>>>
>>>>> So does anyone know how to update the version of openlayers in a GN
>>>>> install? It doesn't even have to be a very recent one, latish 3.x
>>>>> would do
>>>>>
>>>>> Cheers
>>>>>
>>>>> Ian
>>>>>
>>>>> --
>>>>> Ian Turton
>>>>> ------------------------------------------------------------
>>>>> ------------------
>>>>> Check out the vibrant tech community on one of the world's most
>>>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>>>> _______________________________________________
>>>>> GeoNetwork-users mailing list
>>>>> [hidden email]
>>>>> https://lists.sourceforge.net/lists/listinfo/geonetwork-users
>>>>> GeoNetwork OpenSource is maintained at http://sourceforge.net/project
>>>>> s/geonetwork
>>>>>
>>>>
>>>>
>>>>
>>>> --
>>>> *camptocamp*
>>>> INNOVATIVE SOLUTIONS
>>>> BY OPEN SOURCE EXPERTS
>>>>
>>>> *Florent Gravin*
>>>> 0479444492
>>>>
>>>
>>>
>>>
>>> --
>>> *camptocamp*
>>> INNOVATIVE SOLUTIONS
>>> BY OPEN SOURCE EXPERTS
>>>
>>> *Florent Gravin*
>>> 0479444492
>>>
>>
>>
>>
>> --
>> Ian Turton
>>
>
>
>
> --
> *camptocamp*
> INNOVATIVE SOLUTIONS
> BY OPEN SOURCE EXPERTS
>
> *Florent Gravin*
> 0479444492
>



--
*camptocamp*
INNOVATIVE SOLUTIONS
BY OPEN SOURCE EXPERTS

*Florent Gravin*
0479444492
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork